summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorbrent s2016-01-18 21:02:52 -0500
committerbrent s2016-01-18 21:03:54 -0500
commit62f7444895056213038d58930410f126a162b555 (patch)
treef816bc6198a3a99e149cfe769eaf12f0a47a0ad3 /PKGBUILD
downloadaur-62f7444895056213038d58930410f126a162b555.tar.gz
dat quakeworld doe
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2e713072b23
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: brent saner <bts@square-r00t.net>
+
+pkgname=quake2world-git
+pkgver=r2493.f1fb32c
+pkgrel=1
+pkgdesc="A free, stand-alone, multiplayer-only iteration of Quake2"
+arch=('any')
+url="http://quetoo.org"
+license=('GPL')
+source=(git+https://github.com/jdolan/quake2world.git)
+md5sums=('SKIP')
+depends=('sdl2' 'curl' 'sdl2_image' 'sdl2_mixer')
+makedepends=('sdl2' 'sdl2_mixer' 'sdl2_image' 'physfs')
+optdepends=(
+'quake2world-data-git: the game data files'
+)
+install=quake2world.install
+_pkgname=quake2world
+
+pkgver() {
+ cd "${srcdir}/${_pkgname}"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd ${srcdir}/quake2world
+
+ libtoolize
+ autoreconf -i
+ ./configure --prefix=/usr --without-mysql
+ make
+ make DESTDIR=${pkgdir} install
+}